For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocumentationAPI Reference
DocumentationAPI Reference
  • Getting Started
    • Introduction
    • Concepts
    • SDKs
  • API Reference
      • GETGet organizations
      • POSTCreate a new organization
      • GETGet organizations count
      • GETGet organization
      • PUTUpdate organization
      • DELDelete the organization
      • POSTCreate admin portal link
        • GETGet organization roles
        • POSTCreate organization role
        • GETGet organization role
        • PUTUpdate organization role
        • DELDelete organization role
        • GETGet users with organization role
        • GETHas organization role
        • PUTGrant organization role
        • DELRevoke organization role
        • GETGet user's organization roles
Dashboard
LogoLogo
API ReferenceOrganizationsRoles

Revoke organization role

DELETE
https://demo.authit.cloud/realms/:realm/orgs/:orgId/roles/:name/users/:userId
DELETE
/realms/:realm/orgs/:orgId/roles/:name/users/:userId
$curl -X DELETE https://demo.authit.cloud/realms/realm/orgs/orgId/roles/name/users/userId \
> -H "Authorization: Bearer <token>"
204No Content
1{}
Revoke the specified organization role from the specified user.
Was this page helpful?
Previous

Get user's organization roles

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

realmstringRequired
orgIdstringRequired
namestringRequired
userIdstringRequired

Response

success